public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymysql/
Date: Tue, 27 Jun 2023 03:54:52 +0000 (UTC)	[thread overview]
Message-ID: <1687838085.9946da7dc3fdcf793094f363e7a1b1ab795f9a91.mgorny@gentoo> (raw)

commit:     9946da7dc3fdcf793094f363e7a1b1ab795f9a91
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 27 03:00:23 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 27 03:54:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9946da7d

dev-python/pymysql: Bump to 1.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pymysql/Manifest             |   1 +
 dev-python/pymysql/pymysql-1.1.0.ebuild | 118 ++++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/dev-python/pymysql/Manifest b/dev-python/pymysql/Manifest
index 66aff33b5bbf..c5613d2f886d 100644
--- a/dev-python/pymysql/Manifest
+++ b/dev-python/pymysql/Manifest
@@ -1 +1,2 @@
 DIST PyMySQL-1.0.3.gh.tar.gz 85371 BLAKE2B 4caaf486413b0fd78acc04c6856b044048c5af28e2b8f85125dda83738daeb31f621726babd8ce724b01fc3f297769f09c2c77b60540cb5c66d152c61fd725e8 SHA512 46d56399b02e61b4b31af82f96cfbb6c24e0c18f780c872bde53a818ad74d30dfe8ded1fdac97971433b0e237e1007631a9c0e38ef2cb17b6601c77f624faf8b
+DIST PyMySQL-1.1.0.gh.tar.gz 90416 BLAKE2B b1f5d38edc1ec93ddbf9f841b3db6bddb8db13bd7a6100de2104f08152e2ce7813f6ea2d09c4bc301a6b83fb3eeb3e4ce0c3b4faf42cec25b5c157ea71d719a1 SHA512 c5b2cc1716707013d06146f22ff6e36ae1e54deb8864226a65c5325bafd476d7c53076ceb5cb35815c1baeb8e0ba8d03230366662f4abc0a304e849d8cb40d34

diff --git a/dev-python/pymysql/pymysql-1.1.0.ebuild b/dev-python/pymysql/pymysql-1.1.0.ebuild
new file mode 100644
index 000000000000..cdb193f545da
--- /dev/null
+++ b/dev-python/pymysql/pymysql-1.1.0.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1
+
+MY_P="PyMySQL-${PV}"
+DESCRIPTION="Pure-Python MySQL Driver"
+HOMEPAGE="
+	https://github.com/PyMySQL/PyMySQL/
+	https://pypi.org/project/pymysql/
+"
+SRC_URI="
+	https://github.com/PyMySQL/PyMySQL/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# TODO: support other mysql variants
+BDEPEND="
+	test? (
+		dev-db/mariadb[server]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Auth tests don't support socket auth
+	find tests/ -name '*_auth.py' -delete || die
+
+	distutils-r1_src_prepare
+}
+
+src_test() {
+	local -x USER=$(whoami)
+	local -x PATH="${BROOT}/usr/share/mariadb/scripts:${PATH}"
+
+	einfo "Creating mysql test instance ..."
+	mkdir -p "${T}"/mysql || die
+	mysql_install_db \
+		--no-defaults \
+		--auth-root-authentication-method=normal \
+		--basedir="${EPREFIX}/usr" \
+		--datadir="${T}"/mysql 1>"${T}"/mysqld_install.log || die
+
+	einfo "Starting mysql test instance ..."
+	# TODO: random port
+	mysqld \
+		--no-defaults \
+		--character-set-server=utf8 \
+		--bind-address=127.0.0.1 \
+		--port=43306 \
+		--pid-file="${T}"/mysqld.pid \
+		--socket="${T}"/mysqld.sock \
+		--datadir="${T}"/mysql 1>"${T}"/mysqld.log 2>&1 &
+
+	# wait for it to start
+	local i
+	for (( i = 0; i < 10; i++ )); do
+		[[ -S ${T}/mysqld.sock ]] && break
+		sleep 1
+	done
+	[[ ! -S ${T}/mysqld.sock ]] && die "mysqld failed to start"
+
+	einfo "Configuring test mysql instance ..."
+
+	# note: ed25519 was removed since it fails -- upstream README indicates
+	# it can fail if we used a different server version
+	mysql -uroot --socket="${T}"/mysqld.sock -s -e '
+		CREATE DATABASe test1 DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
+		CREATE DATABASE test2 DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
+	' || die "Failed to create test databases"
+
+	cat > pymysql/tests/databases.json <<-EOF || die
+		[{
+			"host": "localhost",
+			"user": "root",
+			"password": "",
+			"database": "test1",
+			"use_unicode": true,
+			"local_infile": true,
+			"unix_socket": "${T}/mysqld.sock"
+		}, {
+			"host": "localhost",
+			"user": "root",
+			"password": "",
+			"database": "test2",
+			"unix_socket": "${T}/mysqld.sock"
+		}]
+	EOF
+
+	nonfatal distutils-r1_src_test
+	local ret=${?}
+
+	einfo "Stopping mysql test instance ..."
+	pkill -F "${T}"/mysqld.pid || die
+
+	[[ ${ret} -ne 0 ]] && die
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# requires some dialog plugin
+		pymysql/tests/test_connection.py::TestAuthentication::testDialogAuthThreeAttemptsQuestionsInstallPlugin
+		pymysql/tests/test_connection.py::TestAuthentication::testDialogAuthTwoQuestionsInstallPlugin
+	)
+
+	epytest
+}


             reply	other threads:[~2023-06-27  3:54 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-27  3:54 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-22  9:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymysql/ Michał Górny
2024-05-22  9:05 Michał Górny
2024-05-22  4:49 Michał Górny
2024-05-22  4:49 Michał Górny
2024-05-18  8:09 Michał Górny
2024-01-04 11:29 WANG Xuerui
2023-07-28  9:26 Michał Górny
2023-07-28  9:26 Michał Górny
2023-07-28  7:56 Sam James
2023-04-28 14:49 Arthur Zamarin
2023-04-28 14:47 Arthur Zamarin
2023-03-28 13:23 Michał Górny
2022-11-06  7:59 Michał Górny
2022-11-06  7:24 Sam James
2022-10-14 15:09 Andrew Ammerlaan
2022-02-14  8:35 Matt Turner
2021-11-14 23:51 Sam James
2021-10-24 21:14 Sam James
2021-10-02 23:17 Sam James
2021-09-06 23:42 Sam James
2021-09-06 23:37 Sam James
2021-09-06  0:13 Sam James
2021-08-10  4:59 Sam James
2021-07-28 16:14 Sergei Trofimovich
2021-06-05 17:59 Michał Górny
2021-03-20 19:21 Thomas Deutschmann
2021-02-25 13:54 Agostino Sarubbo
2021-01-09 17:40 Michał Górny
2021-01-08  9:29 Michał Górny
2021-01-07  9:16 Michał Górny
2020-10-09  8:53 Michał Górny
2020-10-09  8:40 Agostino Sarubbo
2020-10-02 14:40 Thomas Deutschmann
2020-09-23  7:29 Michał Górny
2020-09-17 15:16 Brian Evans
2020-08-18  5:52 Sam James
2020-06-11 20:33 Michał Górny
2020-06-11 20:33 Michał Górny
2020-06-11 20:33 Michał Górny
2020-04-18 17:55 Craig Andrews
2020-02-05 19:53 Michał Górny
2020-01-07 20:24 Brian Evans
2019-01-16 13:33 Thomas Deutschmann
2018-09-11 19:13 Brian Evans
2018-06-09 17:09 Thomas Deutschmann
2018-02-22 21:23 Thomas Deutschmann
2018-01-05 23:19 Michał Górny
2017-09-29 23:32 Matt Thode
2017-08-30 21:07 Matt Thode
2017-03-10 21:58 Zac Medico
2017-01-26 20:27 Brian Evans
2016-09-04  6:46 Patrice Clement
2015-10-19 16:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687838085.9946da7dc3fdcf793094f363e7a1b1ab795f9a91.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox